--[[
---------------------------------------------------------------------------
Remote Train Control Program for Windows

© Copyright 2019 by Mark DiVecchio

	This file is part of Remote Train Control.

	Remote Train Control is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Remote Train Control is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Remote Train Control.  If not, see <http://www.gnu.org/licenses/>.

 Home Page : http://www.silogic.com/trains/RTC_Running.html
---------------------------------------------------------------------------]]
-- Semicolons are not required in Lua code
-- EmergenyStop() Test
title = "EmergencyStop() Test"
require("defines");
--[[---------------------------------------------------------------------------------------]]
function setup(Engine, TIU)
	print("setup() run");
	return true;
	end
--[[---------------------------------------------------------------------------------------]]	
function loop(Engine, TIU)
	-- Always call Sleep() at least once in this function.
	print("loop() started with Sleep(5) call");
	Sleep(5);
	print("Returned from Sleep(5) call");
	print("Calling EmergencyStop()");
	if (TIU > 0) then
		return EmergencyStop("Emergency Stop - This message should display");	-- Send Emergency Stop to all TIU
		end
	print("This message should not display");
	return false;
	end
--[[---------------------------------------------------------------------------------------]]	
function cleanup(Engine, TIU)
	print("cleanup() This message should not display");
	EngineShutdown(Engine, TIU);
	return true;
	end
--[[---------------------------------------------------------------------------------------]]